# UnknownMessageType - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message.abstracts / UnknownMessageType

# UnknownMessageType

(common) `data class UnknownMessageType : Message` (source)

### Constructors

(common)

#### <init>

`UnknownMessageType(messageId: MessageIdentifier, chat: Chat, date: DateTime, insideException: Exception)`

### Properties

(common)

#### chat

`val chat: Chat`

(common)

#### date

`val date: DateTime`

(common)

#### insideException

`val insideException: Exception`

(common)

#### messageId

`val messageId: MessageIdentifier`

### Extension Functions

(common)

#### delete

`suspend fun Message.delete(requestsExecutor: RequestsExecutor): Boolean`